﻿using C1.WPF.PropertyGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BoolEditorStyling
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var product = new Product()
            {
                Id = "Id-1",
                Grade = Grade.A,
                IsAccepted = true
            };
            propertyGrid.SelectedObject = product;
        }
        private void PropertyBox_Added(object sender, C1.WPF.PropertyGrid.PropertyBoxChangedEventArgs e)
        {
            if (e.PropertyBox.CurrentEditor is BoolEditor)
            {
                var booleditor = (e.PropertyBox.CurrentEditor as BoolEditor);
                var chkBorder = booleditor.Template.FindName("checkBoxBorder", booleditor) as Border;
                var optionMark = booleditor.Template.FindName("optionMark", booleditor) as Path;
                chkBorder.Background = Brushes.DarkBlue;
                optionMark.Fill = optionMark.Stroke = Brushes.White;

            }
        }
    }
    public class Product
    {
        public string Id { get; set; }
        public Grade Grade { get; set; }
        public bool IsAccepted { get; set; }
    }
    public enum Grade
    {
        A,
        B,
        C,
        D
    }
}
